%define version     1.6.10
%global commit      9a9ee307d49de6f0e7d9f28a8db3afd7dbc37ea9
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           cointop
Version:        %{version}
Release:        1%{?dist}
Summary:        Interactive terminal based UI application for tracking cryptocurrencies
License:        Apache-2.0
URL:            https://cointop.sh
Source0:        https://github.com/cointop-sh/cointop/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  go-md2man
BuildRequires:  golang

%description
cointop is a fast and lightweight interactive terminal based UI application for tracking and monitoring cryptocurrency coin stats in real-time.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -p ./_build/src/github.com/cointop-sh
ln -s $(pwd) ./_build/src/github.com/cointop-sh/%{name}

export GOPATH=$(pwd)/_build:%{gopath}
GO111MODULE=off go build -ldflags="-linkmode=external -compressdwarf=false -X github.com/cointop-sh/cointop/cointop.version=%{version}" -o x .

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./x %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/%{name}

%changelog
* Thu Feb  9 2023 bongochong <bongochong@github.com> Version 1.6.10
- Updated to 1.6.10

* Tue Nov  2 2021 bongochong <bongochong@github.com> Version 1.6.7
- Updated from 1.6.5 to 1.6.7

* Tue Nov  2 2021 bongochong <bongochong@github.com> Version 1.6.5
- Updated from 1.6.3 to 1.6.5

* Fri Jul  9 2021 bongochong <bongochong@github.com> Version 1.6.3
- Updated from 1.6.0 to 1.6.3